// store/simulation/useCompareProductDataStore.ts
import { create } from 'zustand';

interface CompareProduct {
  productUuid: string;
  productName: string;
  costPerUnit: number;
  workingDaysPerYear: number;
  shiftLength: number;
  shiftsPerDay: number;
  roiPercentage: number;
  paybackPeriod: number;
  totalCost: number;
  revenueGenerated: number;
  netProfit: number;
  netLoss: number;
}

